Update a contract fee type

Updates the editable billing fields for a school contract fee type and returns its refreshed resource representation.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idintegerRequired>=1
Contract fee type identifier to update.

Request

This endpoint expects an object.
namestringRequired<=255 characters
descriptionstring or nullOptional<=255 characters
receipt_templateenum or nullOptional
Allowed values:
account_idinteger or nullOptional
qb_desktop_item_namestring or nullOptional<=255 characters
hidden_from_contract_feesbooleanOptional

Response

Contract fee type was updated and returned.
statusstringOptional
messagestringOptional
dataobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error